header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px 10%;
  background: #fff;
  border-bottom: 1px solid #ddd;
}

#top-info-bar {
  background-color: #fff;
  height: 100px;
  font-size: 15px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 10%;
  color: #284701;
  width: 100%;
}

#top-info-bar a {
  color: #284701;
  text-decoration: none;
  font-weight: 700;
  display: -webkit-inline-box;
  align-items: center;
}

#top-info-bar i {
  margin-right: 8px;
  font-size: 58px;
}

.menu-icon {
  font-size: 30px;
  cursor: pointer;
  color: #fff;
  display: none;
}

@media (max-width: 768px) {
  #top-info-bar {
    flex-direction: column;
    height: auto;
    padding: 10px;
    gap: 10px;
    text-align: center;
  }

  .menu-icon {
    color: #fff;
  }
}

.menu-icon {
  font-size: 30px;
  cursor: pointer;
  color: #fff;
}

nav {
  display: flex;
  align-items: center;
  background-color: #284701;
  padding: 10px 18%;
  height: 70px;
  top: 0;
  z-index: 1000;
  position: sticky;
}

/* Animação de deslizamento */
@keyframes slideDown {
  from {
    transform: translateY(-20px);
    opacity: 0;
  }

  to {
    transform: translateY(0);
    opacity: 1;
  }
}

/* Quando sticky for ativado */
nav.sticky-animated {
  animation: slideDown 1.3s ease forwards;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
}


.nav-links {
  display: block;
}

.nav-links a {
  margin-left: 15px;
  padding: 6px 12px;
  text-decoration: none;
  color: #fff;
  font-weight: 600;
  border: 1px solid rgba(255, 255, 255, 0.07);
  /* Borda branca suave */
  border-radius: 6px;
  transition: all 0.3s ease;
}

.nav-links a:hover {
  background-color: rgba(255, 255, 255, 0.15);
  color: #c3e985;
  border-color: rgba(255, 255, 255, 0.3);
}


.nav-links a:hover {
  color: #c3e985;
}

/* Esconde o menu por padrão no mobile */
@media (max-width: 768px) {
  .nav-links {
    display: none;
    flex-direction: column;
    background-color: #fff;
    position: absolute;
    top: 100px;
    /* ajusta conforme a altura do header */
    left: 0;
    width: 100%;
    z-index: 999;
    padding: 20px;
    border-top: 1px solid #ccc;
  }

  .nav-links.active {
    display: flex;
    /* Mostra o menu quando clicado */
  }
  .nav-links.active a {
    color: #fff;
  }

  .menu-icon {
    display: block;
    font-size: 28px;
    cursor: pointer;
    margin-left: auto;
    padding: 10px;
  }
}

/* Mostra o menu normalmente no desktop */
@media (min-width: 769px) {
  .nav-links {
    display: flex !important;
    gap: 20px;
    justify-content: center;
  }

  #main-nav {
    height: 70px;
  }

  .menu-icon {
    display: none;
  }
}
.link-header-text {
  font-weight: 400;
}
@media (max-width: 768px) {
  .menu-icon {
    display: block;
  }

  #main-nav {
    height: 0px;
    padding: 0px;
  }

  #top-info-bar {
    display: none;

  }



  header {
    background-color: #284701;
  }

  .nav-links {
    flex-direction: column;
    background: #284701;
    position: absolute;
    top: -2px;
    right: 10%;
    width: 100%;
    padding: 10px;
    border: 1px solid #ddd;
    align-items: inherit;
  }

  .nav-links.active {
    display: flex;
  }

  .nav-links a {
    margin: 10px 0;
  }
}

footer {
  background-size: cover;
  padding: 40px 10%;
  text-align: center;
  border-top: 1px solid #ddd;
  font-size: 14px;
  background-color: #284701;
  color: #fff;
}
.link-resultados {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-decoration: none;
  color: inherit;
  font-size: 14px;
  margin-top: 12px;
}

.online-text {
  font-size: 12px;
  font-weight: 300;
  margin-bottom: 2px;
}
.online-text-secondary {
  font-size: 18px;
}

/* Ocultar o menu no desktop */
#main-nav.mobile-menu {
  display: none;
}

/* Estilo para menu mobile fullscreen */
#main-nav.mobile-menu.open {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: fixed;
  top: 0;
  left: 0;
  height: 100vh;
  width: 100vw;
  background-color: rgba(40, 71, 1, 0.97);
  z-index: 1000;
  transition: all 0.3s ease;
}

#main-nav.mobile-menu .nav-links a {
  color: #fff;
  font-size: 2rem;
  margin: 20px 0;
  text-decoration: none;
}

.close-menu {
  position: absolute;
  top: 20px;
  right: 30px;
  font-size: 2rem;
  color: #fff;
  cursor: pointer;
}

/* Mostrar só em telas menores */
@media (max-width: 768px) {
  .menu-icon {
    display: block;
    font-size: 2rem;
    cursor: pointer;
    z-index: 1100;
    position: fixed;
    top: 20px;
    right: 20px;
    color: #fff;
  }
  
   
}

#main-nav .nav-links a {
  color: #fff;
  
}
.mobile-menu {
  position: fixed;
  top: 0;
  left: 0;
  height: 100vh;
  width: 100vw;
  background-color: rgba(40, 71, 1, 0.95); /* fundo escuro com transparência */
  display: none;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  z-index: 999;
  transition: opacity 0.3s ease;
}

.mobile-menu a {
  color: #fff;
  font-size: 1.5rem;
  text-decoration: none;
  margin: 20px 0;
}

.close-menu {
  position: absolute;
  top: 20px;
  right: 30px;
  font-size: 2rem;
  color: #fff;
  cursor: pointer;
  
}
